Bug 1020054 - [abrt] upower-0.9.22-1.fc20: _dbus_abort: Process /usr/libexec/upowerd was killed by signal 6 (SIGABRT)
[abrt] upower-0.9.22-1.fc20: _dbus_abort: Process /usr/libexec/upowerd was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:cbb584e0165a365033a774af219...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 18:19 EDT by Richard Russon
Modified: 2015-06-29 08:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.07 KB, text/plain)
2013-10-16 18:19 EDT, Richard Russon
no flags Details
File: cgroup (144 bytes, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: core_backtrace (12.04 KB, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: dso_list (3.60 KB, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: environ (72 bytes, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: maps (16.94 KB, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: open_fds (710 bytes, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: proc_pid_status (894 bytes, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details
File: var_log_messages (1.06 KB, text/plain)
2013-10-16 18:20 EDT, Richard Russon
no flags Details

  None (edit)
Description Richard Russon 2013-10-16 18:19:56 EDT
Description of problem:
looking at power usage on my laptop
switched to the power tab and it crashed
f20-alpha (up-to-date)

Version-Release number of selected component:
upower-0.9.22-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: _dbus_abort
executable:     /usr/libexec/upowerd
kernel:         3.11.5-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _dbus_abort at dbus-sysdeps.c:94
 #3 _dbus_warn_check_failed at dbus-internals.c:290
 #4 dbus_message_iter_append_basic at dbus-message.c:2586
 #5 marshal_basic at dbus-gvalue.c:1452
 #6 marshal_struct at dbus-gvalue.c:1766
 #7 collection_marshal_iterator at dbus-gvalue.c:1860
 #8 ptrarray_iterator at dbus-gvalue-utils.c:1123
 #9 marshal_collection_ptrarray at dbus-gvalue.c:1915
 #10 marshal_collection at dbus-gvalue.c:1877
 #11 invoke_object_method at dbus-gobject.c:1998

Potential duplicate: bug 879793
Comment 1 Richard Russon 2013-10-16 18:19:59 EDT
Created attachment 813121 [details]
File: backtrace
Comment 2 Richard Russon 2013-10-16 18:20:02 EDT
Created attachment 813122 [details]
File: cgroup
Comment 3 Richard Russon 2013-10-16 18:20:05 EDT
Created attachment 813123 [details]
File: core_backtrace
Comment 4 Richard Russon 2013-10-16 18:20:07 EDT
Created attachment 813124 [details]
File: dso_list
Comment 5 Richard Russon 2013-10-16 18:20:10 EDT
Created attachment 813125 [details]
File: environ
Comment 6 Richard Russon 2013-10-16 18:20:13 EDT
Created attachment 813126 [details]
File: limits
Comment 7 Richard Russon 2013-10-16 18:20:16 EDT
Created attachment 813127 [details]
File: maps
Comment 8 Richard Russon 2013-10-16 18:20:18 EDT
Created attachment 813128 [details]
File: open_fds
Comment 9 Richard Russon 2013-10-16 18:20:21 EDT
Created attachment 813129 [details]
File: proc_pid_status
Comment 10 Richard Russon 2013-10-16 18:20:24 EDT
Created attachment 813130 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-05-29 05:35:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 08:39:05 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.